Package ghidra.app.util.viewer.field

# Class ImageFactoryField

java.lang.Object
docking.widgets.fieldpanel.field.SimpleImageField
ghidra.app.util.viewer.field.ImageFactoryField

All Implemented Interfaces:
  `Field`, `ListingField`

public class ImageFactoryField extends SimpleImageField implements ListingField
Class for displaying images in fields.

- ## Field Summary

  ### Fields inherited from class docking.widgets.fieldpanel.field.SimpleImageField

  `center, height, heightAbove, imageIon, isPrimary, metrics, startX, width`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImageFactoryField(FieldFactory factory, Icon icon, ProxyObj<?> proxy, FontMetrics metrics, int x, int width)`
  Constructor
  `ImageFactoryField(FieldFactory factory, Icon icon, ProxyObj<?> proxy, FontMetrics metrics, int x, int width, boolean center)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getClickedObject(FieldLocation fieldLocation)`
  Returns the object that was clicked on a Field for the given FieldLocation.
  `FieldFactory`
  `getFieldFactory()`
  Returns the FieldFactory that generated this Field
  `ProxyObj<?>`
  `getProxy()`
  Returns the object that the fieldFactory used to generate the information in this field.

  ### Methods inherited from class docking.widgets.fieldpanel.field.SimpleImageField

  `contains, getCol, getCursorBounds, getHeight, getHeightAbove, getHeightBelow, getNumCols, getNumDataRows, getNumRows, getPreferredWidth, getRow, getScrollableUnitIncrement, getStartX, getText, getTextWithLineSeparators, getWidth, getX, getY, isPrimary, isValid, paint, rowHeightChanged, screenLocationToTextOffset, setPrimary, textOffsetToScreenLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.fieldpanel.field.Field

  `contains, getCol, getCursorBounds, getHeight, getHeightAbove, getHeightBelow, getNumCols, getNumDataRows, getNumRows, getPreferredWidth, getRow, getScrollableUnitIncrement, getStartX, getText, getTextWithLineSeparators, getWidth, getX, getY, isPrimary, isValid, paint, rowHeightChanged, screenLocationToTextOffset, textOffsetToScreenLocation`

- ## Constructor Details

  - ### ImageFactoryField

    public ImageFactoryField(FieldFactory factory, Icon icon, ProxyObj<?> proxy, FontMetrics metrics, int x, int width)
    Constructor
    Parameters:
      `factory` - the FieldFactory that generated this field.
      `icon` - the ImageIcon to display.
      `proxy` - the object that this field represents.
      `metrics` - the FontMetrics used to render.
      `x` - the starting x position for this field.
      `width` - the width of this field.

  - ### ImageFactoryField

    public ImageFactoryField(FieldFactory factory, Icon icon, ProxyObj<?> proxy, FontMetrics metrics, int x, int width, boolean center)
    Constructor
    Parameters:
      `factory` - the FieldFactory that generated this field.
      `icon` - the ImageIcon to display.
      `proxy` - the object that this field represents.
      `metrics` - the FontMetrics used to render.
      `x` - the starting x position for this field.
      `width` - the width of this field.
      `center` - centers the image if true.

- ## Method Details

  - ### getFieldFactory

    public FieldFactory getFieldFactory()
    Description copied from interface: `ListingField`
    Returns the FieldFactory that generated this Field
    Specified by:
      `getFieldFactory` in interface `ListingField`
    Returns:
      the FieldFactory that generated this Field

  - ### getProxy

    public ProxyObj<?> getProxy()
    Description copied from interface: `ListingField`
    Returns the object that the fieldFactory used to generate the information in this field.
    Specified by:
      `getProxy` in interface `ListingField`
    Returns:
      the object that the fieldFactory used to generate the information in this field.

  - ### getClickedObject

    public Object getClickedObject(FieldLocation fieldLocation)
    Description copied from interface: `ListingField`
    Returns the object that was clicked on a Field for the given FieldLocation. This may be the field itself or a lower-level entity, such as a FieldElement.
    Specified by:
      `getClickedObject` in interface `ListingField`
    Parameters:
      `fieldLocation` - The location that was clicked.
    Returns:
      the object that was clicked